Bug 1867889 - Review Request: php-phar-io-version3 - Library for handling version information and constraints
Summary: Review Request: php-phar-io-version3 - Library for handling version informati...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Robert-André Mauchin 🐧
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 1867890
TreeView+ depends on / blocked
 
Reported: 2020-08-11 07:07 UTC by Remi Collet
Modified: 2020-09-05 18:31 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-09-05 18:31:19 UTC
Type: ---
zebob.m: fedora-review+


Attachments (Terms of Use)

Description Remi Collet 2020-08-11 07:07:50 UTC
Spec URL: https://git.remirepo.net/cgit/rpms/php-phar-io/php-phar-io-version3.git/plain/php-phar-io-version3.spec?id=3557ed1526b380f16b08579a3c3e6b534137edea
SRPM URL: https://rpms.remirepo.net/SRPMS/php-phar-io-version3-3.0.2-2.remi.src.rpm
Description: 
Library for handling version information and constraints.

Fedora Account System Username: remi


-- 

new dependency of PHPUnit 9.3

Already review as php-phar-io-version
https://bugzilla.redhat.com/show_bug.cgi?id=1440005

Comment 1 Robert-André Mauchin 🐧 2020-08-26 14:59:47 UTC
 - warning: bogus date in %changelog: Mon Aug 11 2020 Remi Collet <remi@remirepo.net> - 3.0.2-2

It's a Tuesday.

Package approved, please fix the changelog before import.


Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "Unknown or generated", "BSD 3-clause "New" or "Revised"
     License". 38 files have unknown license. Detailed output of
     licensecheck in /home/bob/packaging/review/php-phar-io-
     version3/review-php-phar-io-version3/licensecheck.txt
[x]: Package does not own files or directories owned by other packages.
     Note: Dirs in package are owned also by: /usr/share/php/PharIo(php-
     phar-io-version)
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 10240 bytes in 2 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[?]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Sources are verified with gpgverify first in %prep if upstream
     publishes signatures.
     Note: gpgverify is not used.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.

PHP:
[!]: Run phpci static analyze on all php files.
     Note: phpcompatinfo not found. Install php-bartlett-PHP-CompatInfo
     package to get a more comprehensive php review.
     See: url: undefined


Rpmlint
-------
Checking: php-phar-io-version3-3.0.2-2.fc34.noarch.rpm
          php-phar-io-version3-3.0.2-2.fc34.src.rpm
php-phar-io-version3.noarch: W: spelling-error %description -l en_US Autoloader -> Auto loader, Auto-loader, Freeloader
php-phar-io-version3.noarch: W: spelling-error %description -l en_US autoload -> auto load, auto-load, tautology
php-phar-io-version3.src: W: spelling-error %description -l en_US Autoloader -> Auto loader, Auto-loader, Freeloader
php-phar-io-version3.src: W: spelling-error %description -l en_US usr -> use, us, user
php-phar-io-version3.src: W: spelling-error %description -l en_US autoload -> auto load, auto-load, tautology
php-phar-io-version3.src: W: strange-permission makesrc.sh 775
php-phar-io-version3.src: E: specfile-error warning: bogus date in %changelog: Mon Aug 11 2020 Remi Collet <remi@remirepo.net> - 3.0.2-2
2 packages and 0 specfiles checked; 1 errors, 6 warnings.

Comment 3 Gwyn Ciesla 2020-08-27 13:44:05 UTC
(fedscm-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/php-phar-io-version3

Comment 4 Fedora Update System 2020-08-27 14:28:32 UTC
FEDORA-2020-75ee36ccaa has been submitted as an update to Fedora 32. https://bodhi.fedoraproject.org/updates/FEDORA-2020-75ee36ccaa

Comment 5 Fedora Update System 2020-08-27 14:28:33 UTC
FEDORA-2020-6cc8bf17d3 has been submitted as an update to Fedora 33. https://bodhi.fedoraproject.org/updates/FEDORA-2020-6cc8bf17d3

Comment 6 Fedora Update System 2020-08-27 19:05:16 UTC
FEDORA-2020-6cc8bf17d3 has been pushed to the Fedora 33 testing repository.
In short time you'll be able to install the update with the following command:
`sudo dnf install --enablerepo=updates-testing --advisory=FEDORA-2020-6cc8bf17d3 \*`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-6cc8bf17d3

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 7 Fedora Update System 2020-08-28 14:54:54 UTC
FEDORA-2020-75ee36ccaa has been pushed to the Fedora 32 testing repository.
In short time you'll be able to install the update with the following command:
`sudo dnf install --enablerepo=updates-testing --advisory=FEDORA-2020-75ee36ccaa \*`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-75ee36ccaa

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 8 Fedora Update System 2020-09-05 18:31:19 UTC
FEDORA-2020-75ee36ccaa has been pushed to the Fedora 32 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.